%define major 0
%define libname %mklibname thai %{major}
%define libnamedev %mklibname -d thai

Summary:	Thai language support routines
Name:		libthai
Version:	0.1.26
Release:	%mkrel 1
License:	LGPL
Group:		System/Libraries
URL:		http://linux.thai.net
Source:		https://linux.thai.net/pub/thailinux/software/libthai/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig
BuildRequires:	datrie-devel
# for trietool:
BuildRequires:	trietool

%description
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.

%package -n %{libname}
Summary: Thai language support routines
Group:   System/Libraries
Requires: thai-data

%description -n %{libname}
LibThai is a set of Thai language support routines aimed to ease
developers' tasks to incorporate Thai language support in their applications.
It includes important Thai-specific functions e.g. word breaking, input and
output methods as well as basic character and string supports.

%package -n thai-data
Summary: Thai language support data 
Group:   System/Libraries
Requires: thai-data

%description -n thai-data
Data stuff for libthai.

%package -n %{libnamedev}
Summary:  Thai language support routines
Group:    Development/C
Requires: %{libname} = %{version}
Requires: pkgconfig
Provides: thai-devel = %{version}-%{release}
Obsoletes: %{mklibname thai 0 -d}

%description -n %{libnamedev}
The libthai-devel package includes the header files and developer docs 
for the libthai package.

Install libthai-devel if you want to develop programs which will use
libthai.

%prep
%setup -q

%build
%configure2_5x --disable-static --disable-doxygen-doc
%make

%install
%makeinstall_std

rm %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc README AUTHORS COPYING ChangeLog
%{_libdir}/lib*.so.%{major}{,.*}
%{_libdir}/lib*.so.%{major}

%files -n %{libnamedev}
%{_includedir}/thai
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*

%files -n thai-data
%{_datadir}/libthai


%changelog
* Sun Jan 01 2017 luigiwalser <luigiwalser> 0.1.26-1.mga6
+ Revision: 1078978
- 0.1.26

* Thu Aug 11 2016 luigiwalser <luigiwalser> 0.1.25-1.mga6
+ Revision: 1045514
- 0.1.25

* Sun Jan 03 2016 luigiwalser <luigiwalser> 0.1.24-1.mga6
+ Revision: 918781
- 0.1.24

* Wed Oct 15 2014 umeabot <umeabot> 0.1.21-3.mga5
+ Revision: 739894
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.21-2.mga5
+ Revision: 681809
- Mageia 5 Mass Rebuild

* Fri Sep 05 2014 luigiwalser <luigiwalser> 0.1.21-1.mga5
+ Revision: 672346
- 0.1.21

* Wed Jul 02 2014 dams <dams> 0.1.20-1.mga5
+ Revision: 642107
- new version 0.1.20

* Sat Oct 19 2013 umeabot <umeabot> 0.1.19-2.mga4
+ Revision: 527777
- Mageia 4 Mass Rebuild

* Tue Apr 09 2013 dams <dams> 0.1.19-1.mga4
+ Revision: 409190
- new version 0.1.19

* Sat Jan 12 2013 umeabot <umeabot> 0.1.18-2.mga3
+ Revision: 358243
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jun 14 2012 dams <dams> 0.1.18-1.mga3
+ Revision: 260602
- new version 0.1.18

* Fri Jun 01 2012 dams <dams> 0.1.17-1.mga3
+ Revision: 252688
- new version 0.1.17

* Wed Jan 12 2011 dmorgan <dmorgan> 0.1.14-1.mga1
+ Revision: 7528
- imported package libthai

